Bug Hunting Session
Bug 95654 - LO 5.0.2 Cannot reset Interface scaling factor from 300%
Summary: LO 5.0.2 Cannot reset Interface scaling factor from 300%
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks:
 
Reported: 2015-11-07 14:51 UTC by cesneault1
Modified: 2017-07-23 08:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cesneault1 2015-11-07 14:51:00 UTC
Ubuntu 15.10
Libre Office 5.0.2.2

Writer
Tools > options > LibreOffice > View > Interface scaling

Scaling works for normal range, but after set to 300% cannot reduce
Drop-down menu overlays options text box
Cannot enlarge options box enough.

Uninstall and reinstall from Ubuntu repository keeps same settings
Comment 1 Julien Nabet 2015-11-07 16:25:38 UTC
As a workaround, you can rename your LO directory profile (see https://wiki.documentfoundation.org/UserProfile#GNU.2FLinux)
Comment 2 Cor Nouws 2015-11-07 20:35:59 UTC
Would be good to limit that setting, to prevent this inconvenience..
Please change the issue to such a request.
(Could it be that I've seen an issue on this already?)
Comment 3 Julien Nabet 2015-11-08 09:04:16 UTC
Max scaling is 400%, see http://opengrok.libreoffice.org/xref/core/cui/uiconfig/ui/optviewpage.ui#7

ux-team: at which max should we put this?
Comment 4 Robinson Tryon (qubit) 2016-08-25 05:39:08 UTC Comment hidden (obsolete)
Comment 5 Heiko Tietze 2017-07-23 08:49:27 UTC
UI scaling was remove with 5.2 (bug 101646). I believe those tweaks belong to the OS but when it's decided to bring it back all freedom to the user is my first idea (400%). On the other hand, with this setting the interface becomes too large to show the options dialog and reverting is not possible. But that depends on the screen, and on high resolutions 4x might be sane. No idea. 

Closing the issue since scaling was dropped.